## {{ class.name }}

{{ class.summary|raw }}

{{ class.description|raw }}

* Full name: {{ class.FullyQualifiedStructuralElementName }}
{% if class.parent %}* Parent class: {{ class.parent.FullyQualifiedStructuralElementName }}
{% endif %}
{% if class.interfaces is not empty %}* This class implements: {{ class.interfaces|join(', ')|raw }}
{% endif %}
{% if class.deprecated %}* **Warning:** this class is **deprecated**. This means that this class will likely be removed in a future version.
{% endif %}

{% if class.tags.see is not empty or class.tags.link is not empty %}
**See Also:**

{% for see in class.tags.see %}
* {{ see.reference }} {% if see.description %}- {{ see.description|raw }}{% endif %}
{% endfor %}
{% for link in class.tags.link %}
* {{ link.link }} {% if link.description and link.description != link.link %}- {{ link.description|raw }}{% endif %}
{% endfor %}

{% endif %}{# class.tags.see || class.tags.link #}

{% for method in class.methods %}
{% include 'method.md.twig' %}
{% endfor %}
